# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure("2") do |config|
  config.vm.hostname = "easybuilder"
  config.vm.box = "bento/ubuntu-20.04"
  config.vm.box_check_update = false

  # Create a forwarded port mapping which allows access to a specific port
  # within the machine from a port on the host machine. In the example below,
  # accessing "localhost:8080" will access port 80 on the guest machine.
  # NOTE: This will enable public access to the opened port
  config.vm.network "forwarded_port", guest: 8787, host: 8787

  # Create a private network, which allows host-only access to the machine
  # using a specific IP.
  config.vm.network "public_network", ip: "192.168.10.10", bridge: "enp2s0"

  # Share an additional folder to the guest VM. The first argument is
  # the path on the host to the actual folder. The second argument is
  # the path on the guest to mount the folder. And the optional third
  # argument is a set of non-required options.
  config.vm.synced_folder "/home/aditya/easybuild", "/vagrant/easybuild"

  # Provider-specific configuration so you can fine-tune various
  # backing providers for Vagrant. These expose provider-specific options.
  # Example for VirtualBox:
  #
   config.vm.provider "virtualbox" do |vb|
     vb.name = "easybuilder"
  #   # Display the VirtualBox GUI when booting the machine
  #   vb.gui = true
  #   # Customize the amount of memory on the VM:
     vb.memory = "4096"
   end
  
  # View the documentation for the provider you are using for more
  # information on available options.

  # Enable provisioning with a shell script. Additional provisioners such as
  # Ansible, Chef, Docker, Puppet and Salt are also available. Please see the
  # documentation for more information about their specific syntax and use.
    config.vm.provision "shell", inline: <<-SHELL
     sudo apt update
     sudo apt install -y python3
     sudo apt install -y environment-modules
     echo -ne '\n' | /usr/bin/add.modules
     sudo apt install -y python3-pip
     sudo apt install -y tcl8.6
     sudo apt install -y tcl-dev
     sudo apt install -y libibverbs-dev
     sudo pip install easybuild
     touch /home/vagrant/.bash_aliases
     echo "alias eb='eb --modules-tool=EnvironmentModules --module-syntax=Tcl'" >> /home/vagrant/.bash_aliases
     eb R-4.1.0-foss-2021a.eb --robot
   SHELL
end
